Bug 221709 - system-config-package crashes after starting and selecting choosing 'list'
system-config-package crashes after starting and selecting choosing 'list'
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-packages (Show other bugs)
5.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-06 09:45 EST by ca
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-09 13:55:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ca 2007-01-06 09:45:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en) AppleWebKit/418.9.1 (KHTML, like Gecko) Safari/419.3

Description of problem:
The following dump is generated:

Component: Software Manager
Summary: TB3bfa8c03 PackageList.py:108:addPackage:AttributeError: YumAvailablePa
ckageSqlite instance has no attribute 'returnPackageTuple'

Traceback (most recent call last):
  File "/usr/sbin/system-config-packages", line 211, in _showList
    plist.addPackage(po, SHOW_AVAIL)
  File "/usr/lib/python2.4/site-packages/pirut/PackageList.py", line 108, in add
Package
    if apply(self.ayum.tsInfo.matchNaevr, po.returnPackageTuple()):
AttributeError: YumAvailablePackageSqlite instance has no attribute 'returnPacka
geTuple'

Local variables in innermost frame:
self: <PirutPackageList object (pirut+PackageList+PirutPackageList) at 0x8e3a3ec
>
type: 2
po: yum-updatesd - 3.0-5.4.noarch


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Launch system-config-packages
2. Click on List button
3.

Actual Results:
Exception Windows Appears and application terminates

Expected Results:
List packages

Additional info:
Comment 1 Jeremy Katz 2007-01-08 14:06:42 EST
What's the output of 'rpm -q pirut'?
Comment 2 ca 2007-01-08 19:11:28 EST
pirut-1.1.8-1

Also, I have tried rpm --updatedb (after mv the __db.* files)

Comment 3 ca 2007-01-08 19:21:32 EST
Jeremy, I downloaded the pirut package and manually installed it (via rpm -U)
and that fixed the issue. Thanks.


Note You need to log in before you can comment on or make changes to this bug.